
Ruby - Bug #12918

(1/nil) can be created by Marshal.load

11/10/2016 05:28 AM - shugo (Shugo Maeda)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

(1/nil) can be created by Marshal.load as follows:

$ ./ruby -ve 'p Marshal.load("\x04\bU:\rRational[\ai\x060")'     

ruby 2.4.0dev (2016-11-10 trunk 56682) [x86_64-linux]

(1/nil)

Related issues:

Related to Ruby - Bug #12915: 1..nil can be created by Marshal.load Closed

Associated revisions

Revision e41ebc50dc27f5b91690295e0db8eaf45da42630 - 11/11/2016 07:26 AM - nobu (Nobuyoshi Nakada)

rational.c: check load

rational.c (nurat_loader, nurat_marshal_load): check if loading

values are Integer.  [ruby-core:78071] [Bug #12918]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56702 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e41ebc50 - 11/11/2016 07:26 AM - nobu (Nobuyoshi Nakada)

rational.c: check load

rational.c (nurat_loader, nurat_marshal_load): check if loading

values are Integer.  [ruby-core:78071] [Bug #12918]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56702 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/10/2016 05:28 AM - shugo (Shugo Maeda)

- Related to Bug #12915: 1..nil can be created by Marshal.load added

#2 - 11/11/2016 07:26 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r56702.

rational.c: check load

rational.c (nurat_loader, nurat_marshal_load): check if loading

values are Integer.  [ruby-core:78071] [Bug #12918]

Powered by TCPDF (www.tcpdf.org)

06/17/2025 1/1

bugs.ruby-lang.org/issues/12918
https://redmine.ruby-lang.org/issues/12918
http://www.tcpdf.org

